import os
from moderation_api import ModerationAPI, models
with ModerationAPI(
secret_key=os.environ["MODAPI_SECRET_KEY"],
) as moderation_api:
res = moderation_api.authors.update(id="<id>", metadata=models.UpdateAuthorMetadata(
identity_verified=True,
), manual_trust_level=2)
# Handle response
print(res)
declare(strict_types=1);
require 'vendor/autoload.php';
use ModerationApi;
use ModerationApi\Models\Operations;
$sdk = ModerationApi\ModerationApi::builder()
->setSecurity(
getenv('MODAPI_SECRET_KEY')
)
->build();
$body = new Operations\UpdateAuthorRequestBody(
metadata: new Operations\UpdateAuthorMetadata(
identityVerified: true,
),
manualTrustLevel: 2,
);
$response = $sdk->authors->update(
id: '<id>',
body: $body
);
if ($response->publicAuthor !== null) {
// handle response
}
import os
from moderation_api import ModerationAPI, models
with ModerationAPI(
secret_key=os.environ["MODAPI_SECRET_KEY"],
) as moderation_api:
res = moderation_api.authors.update(id="<id>", metadata=models.UpdateAuthorMetadata(
identity_verified=True,
), manual_trust_level=2)
# Handle response
print(res)
declare(strict_types=1);
require 'vendor/autoload.php';
use ModerationApi;
use ModerationApi\Models\Operations;
$sdk = ModerationApi\ModerationApi::builder()
->setSecurity(
getenv('MODAPI_SECRET_KEY')
)
->build();
$body = new Operations\UpdateAuthorRequestBody(
metadata: new Operations\UpdateAuthorMetadata(
identityVerified: true,
),
manualTrustLevel: 2,
);
$response = $sdk->authors->update(
id: '<id>',
body: $body
);
if ($response->publicAuthor !== null) {
// handle response
}
The project to act on, by ID or name. Required with an organization key unless the key reaches only one project; list projects with GET /projects. A project key acts on its own project and needs no value: naming another one is an error.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Moderation API","colors":{"primary":"#2563EB","light":"#3b82f6","dark":"#2563EB"},"logo":{"light":"https://mintcdn.com/moderationapi/rWTs3Lpls7ie5CqF/logo/dark.svg?fit=max\u0026auto=format\u0026n=rWTs3Lpls7ie5CqF\u0026q=85\u0026s=ec821de8afaf14ccd604f3ee5778ffde","dark":"https://mintcdn.com/moderationapi/rWTs3Lpls7ie5CqF/logo/light.svg?fit=max\u0026auto=format\u0026n=rWTs3Lpls7ie5CqF\u0026q=85\u0026s=88b0c645ccbe3291663f9cfd6ca3e458","href":"https://moderationapi.com"},"favicon":"https://mintcdn.com/moderationapi/rWTs3Lpls7ie5CqF/favicon.svg?fit=max\u0026auto=format\u0026n=rWTs3Lpls7ie5CqF\u0026q=85\u0026s=7d5a34e9f0e22b58990a738b243814c8","api":{"openapi":"https://api.moderationapi.com/v1/openapi.json","playground":{"display":"none"},"mdx":{"auth":{"method":"bearer"}}},"appearance":{"default":"system","strict":false},"navbar":{"links":[{"href":"https://dash.moderationapi.com","label":"Sign up"}],"primary":{"type":"button","label":"Dashboard","href":"https://dash.moderationapi.com"}},"seo":{"indexing":"all"},"styling":{"eyebrows":"breadcrumbs","codeblocks":{"theme":"nord"},"latex":false},"integrations":{"mixpanel":{"projectToken":"b1f544f1321ffbf049e18aeb65c77391"}},"contextual":{"options":["copy","view","claude","chatgpt","mcp","vscode","cursor"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"moderationapi","hasAudioNarration":false,"actualSubdomain":"moderationapi","customDomains":["docs.moderationapi.com"],"gitSource":{"type":"github","owner":"moderation-api","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adb6dbdc702a6503954f267","collectionId":"1554d6f2-9594-471f-8092-7484554870af","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adb6dbdc702a6503954f267"},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"REMOVE_BRANDING":{"status":"ENABLED"}},"buildId":"6adb6dbdc702a6503954f267","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"Documentation","count":82},{"language":"default","tag":"API References","count":60},{"language":"default","tag":"Learn","count":59},{"language":"default","tag":"Review","count":21},{"language":"default","tag":"Webhooks","count":16},{"language":"default","tag":"Recipes","count":12},{"language":"default","tag":"Policies","count":11},{"language":"default","tag":"Actions","count":10},{"language":"default","tag":"Events","count":10},{"language":"default","tag":"Quickstart","count":8}],"searchSettings":{"maxResults":10}},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#sidebar{border-right:1px solid rgb(var(--gray-200)/.5)}.dark #sidebar{border-right:1px solid rgb(255 255 255/.07)}#sidebar-content,#sidebar>ul{background:0 0}body,html{scroll-behavior:smooth}"}],"page":{"pagePath":"api-reference/author/update-author-details","slug":"/api-reference/author/update-author-details","pageMetadata":{"openapi":"put /authors/{id}","title":"Update author details","description":"Update the details of a specific author","href":"/api-reference/author/update-author-details"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update the details of a specific author\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{"theme":"nord"},"config":{},"pageMetadata":{"openapi":"put /authors/{id}","title":"Update author details","description":"Update the details of a specific author","href":"/api-reference/author/update-author-details"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/moderationapi/180b3125cc5d8d2f/main.js"],"openApiReferenceData":{"operation":{"operationId":"updateAuthor","summary":"Update author details","description":"Update the details of a specific author","tags":["Authors"],"security":["15f880c4-a701-4070-a9df-9e0cef61d427"],"parameters":["87b87760-0bd9-43d7-8959-248a68150aca","df72ca12-60cc-4283-8bbb-1fa2c803f74f"],"requestBody":"226d05d1-834c-4db9-9483-df4331cf6b02","responses":{"200":"0d68989b-21ac-443f-80c6-74df47fb67d7","400":"5202925b-61d7-4cca-a437-b278b18c9750","401":"31a0a708-e63d-4db1-91e5-2ecb32b699b8","403":"6072f23c-711b-4998-b6f3-e86f500a8016","404":"d04df211-0cc3-4d66-89e7-de1f8c6548bc","429":"7c445409-eb17-4277-97d6-5b1366c6d9a4","500":"ddaac6b9-fb3b-4cc3-9a7d-379ecd43bf3f"},"x-speakeasy-group":"authors","x-speakeasy-name-override":"update","x-speakeasy-mcp":{"title":"Update author details","scopes":["write"],"readOnlyHint":false,"destructiveHint":false},"x-codeSamples":[{"lang":"typescript","label":"TypeScript","source":"import { ModerationApi } from \"@moderation-api/sdk\";\n\nconst moderationApi = new ModerationApi({\n secretKey: process.env[\"MODAPI_SECRET_KEY\"] ?? \"\",\n});\n\nasync function run() {\n const result = await moderationApi.authors.update({\n id: \"\u003cid>\",\n body: {\n metadata: {\n identityVerified: true,\n },\n manualTrustLevel: 2,\n },\n });\n\n console.log(result);\n}\n\nrun();\n"},{"lang":"python","label":"Python","source":"import os\nfrom moderation_api import ModerationAPI, models\n\n\nwith ModerationAPI(\n secret_key=os.environ[\"MODAPI_SECRET_KEY\"],\n) as moderation_api:\n\n res = moderation_api.authors.update(id=\"\u003cid>\", metadata=models.UpdateAuthorMetadata(\n identity_verified=True,\n ), manual_trust_level=2)\n\n # Handle response\n print(res)\n"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse ModerationApi;\nuse ModerationApi\\Models\\Operations;\n\n$sdk = ModerationApi\\ModerationApi::builder()\n ->setSecurity(\n getenv('MODAPI_SECRET_KEY')\n )\n ->build();\n\n$body = new Operations\\UpdateAuthorRequestBody(\n metadata: new Operations\\UpdateAuthorMetadata(\n identityVerified: true,\n ),\n manualTrustLevel: 2,\n);\n\n$response = $sdk->authors->update(\n id: '\u003cid>',\n body: $body\n\n);\n\nif ($response->publicAuthor !== null) {\n // handle response\n}\n"},{"lang":"ruby","label":"Ruby","source":"require 'moderation_api'\n\nModels = ::ModerationApi::Models\ns = ::ModerationApi::ModerationApi.new(\n secret_key: ENV.fetch('MODAPI_SECRET_KEY')\n)\nres = s.authors.update(id: '\u003cid>', body: Models::Operations::UpdateAuthorRequestBody.new(\n metadata: Models::Operations::UpdateAuthorMetadata.new(\n identity_verified: true\n ),\n manual_trust_level: 2.0\n))\n\nunless res.public_author.nil?\n # handle response\nend\n"},{"lang":"bash","label":"CLI","source":"modapi authors update --secret-key \"$MODAPI_SECRET_KEY\" --id '\u003cid>' --metadata '{\"identity_verified\":true}' --manual-trust-level 2\n"}],"method":"put","type":"path","servers":["85b0d031-5914-47db-bdfe-ceb306f626fb"],"path":"/authors/{id}","baseUrlOptions":["https://api.moderationapi.com/v1"],"title":"Update author details","codeSamples":[{"label":"TypeScript","lang":"typescript","source":"import { ModerationApi } from \"@moderation-api/sdk\";\n\nconst moderationApi = new ModerationApi({\n secretKey: process.env[\"MODAPI_SECRET_KEY\"] ?? \"\",\n});\n\nasync function run() {\n const result = await moderationApi.authors.update({\n id: \"\u003cid>\",\n body: {\n metadata: {\n identityVerified: true,\n },\n manualTrustLevel: 2,\n },\n });\n\n console.log(result);\n}\n\nrun();\n"},{"label":"Python","lang":"python","source":"import os\nfrom moderation_api import ModerationAPI, models\n\n\nwith ModerationAPI(\n secret_key=os.environ[\"MODAPI_SECRET_KEY\"],\n) as moderation_api:\n\n res = moderation_api.authors.update(id=\"\u003cid>\", metadata=models.UpdateAuthorMetadata(\n identity_verified=True,\n ), manual_trust_level=2)\n\n # Handle response\n print(res)\n"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse ModerationApi;\nuse ModerationApi\\Models\\Operations;\n\n$sdk = ModerationApi\\ModerationApi::builder()\n ->setSecurity(\n getenv('MODAPI_SECRET_KEY')\n )\n ->build();\n\n$body = new Operations\\UpdateAuthorRequestBody(\n metadata: new Operations\\UpdateAuthorMetadata(\n identityVerified: true,\n ),\n manualTrustLevel: 2,\n);\n\n$response = $sdk->authors->update(\n id: '\u003cid>',\n body: $body\n\n);\n\nif ($response->publicAuthor !== null) {\n // handle response\n}\n"},{"label":"Ruby","lang":"ruby","source":"require 'moderation_api'\n\nModels = ::ModerationApi::Models\ns = ::ModerationApi::ModerationApi.new(\n secret_key: ENV.fetch('MODAPI_SECRET_KEY')\n)\nres = s.authors.update(id: '\u003cid>', body: Models::Operations::UpdateAuthorRequestBody.new(\n metadata: Models::Operations::UpdateAuthorMetadata.new(\n identity_verified: true\n ),\n manual_trust_level: 2.0\n))\n\nunless res.public_author.nil?\n # handle response\nend\n"},{"label":"CLI","lang":"bash","source":"modapi authors update --secret-key \"$MODAPI_SECRET_KEY\" --id '\u003cid>' --metadata '{\"identity_verified\":true}' --manual-trust-level 2\n"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"87b87760-0bd9-43d7-8959-248a68150aca":{"in":"path","name":"id","schema":{"type":"string","description":"Either external ID or the ID assigned by moderation API.","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"Either external ID or the ID assigned by moderation API."},"df72ca12-60cc-4283-8bbb-1fa2c803f74f":{"in":"header","name":"Project-Id","required":false,"schema":{"type":"string","isRequired":false,"description":"The project to act on, by ID or name. Required with an organization key unless the key reaches only one project; list projects with GET /projects. A project key acts on its own project and needs no value: naming another one is an error.","uniqueKey":"","typeLabel":"string"},"description":"The project to act on, by ID or name. Required with an organization key unless the key reaches only one project; list projects with GET /projects. A project key acts on its own project and needs no value: naming another one is an error.","x-speakeasy-name-override":"projectId"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"profile_picture":{"oneOf":[{"type":"string","description":"URL of the author's profile picture","format":"uri","uniqueKey":"profile_picture.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","description":"URL of the author's profile picture","uniqueKey":"profile_picture.oneOf.1","typeLabel":"null"}],"uniqueKey":"profile_picture","typeLabel":"string\u003curi> | null"},"external_link":{"oneOf":[{"type":"string","description":"URL of the author's external profile","format":"uri","uniqueKey":"external_link.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","description":"URL of the author's external profile","uniqueKey":"external_link.oneOf.1","typeLabel":"null"}],"uniqueKey":"external_link","typeLabel":"string\u003curi> | null"},"name":{"oneOf":[{"description":"Author name or identifier","type":"string","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"description":"Author name or identifier","type":"null","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","description":"Author email address","format":"email","pattern":"^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","uniqueKey":"email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","description":"Author email address","uniqueKey":"email.oneOf.1","typeLabel":"null"}],"uniqueKey":"email","typeLabel":"string\u003cemail> | null"},"company":{"oneOf":[{"description":"The author's company or organization","type":"string","uniqueKey":"company.oneOf.0","typeLabel":"string"},{"description":"The author's company or organization","type":"null","uniqueKey":"company.oneOf.1","typeLabel":"null"}],"uniqueKey":"company","typeLabel":"string | null"},"metadata":{"type":"object","properties":{"email_verified":{"oneOf":[{"description":"Whether the author's email is verified","type":"boolean","uniqueKey":"metadata.email_verified.oneOf.0","typeLabel":"boolean"},{"description":"Whether the author's email is verified","type":"null","uniqueKey":"metadata.email_verified.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata.email_verified","typeLabel":"boolean | null"},"phone_verified":{"oneOf":[{"description":"Whether the author's phone number is verified","type":"boolean","uniqueKey":"metadata.phone_verified.oneOf.0","typeLabel":"boolean"},{"description":"Whether the author's phone number is verified","type":"null","uniqueKey":"metadata.phone_verified.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata.phone_verified","typeLabel":"boolean | null"},"identity_verified":{"oneOf":[{"description":"Whether the author's identity is verified","type":"boolean","uniqueKey":"metadata.identity_verified.oneOf.0","typeLabel":"boolean"},{"description":"Whether the author's identity is verified","type":"null","uniqueKey":"metadata.identity_verified.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata.identity_verified","typeLabel":"boolean | null"},"is_paying_customer":{"oneOf":[{"description":"Whether the author is a paying customer","type":"boolean","uniqueKey":"metadata.is_paying_customer.oneOf.0","typeLabel":"boolean"},{"description":"Whether the author is a paying customer","type":"null","uniqueKey":"metadata.is_paying_customer.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata.is_paying_customer","typeLabel":"boolean | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"metadata.additionalProperties","typeLabel":"any"},"description":"Additional metadata provided by your system. We recommend including any relevant information that may assist in the moderation process.","uniqueKey":"metadata","typeLabel":"object"},"first_seen":{"type":"number","description":"Timestamp when author first appeared","uniqueKey":"first_seen","typeLabel":"number"},"last_seen":{"type":"number","description":"Timestamp of last activity","uniqueKey":"last_seen","typeLabel":"number"},"manual_trust_level":{"oneOf":[{"type":"number","maximum":4,"minimum":-1,"uniqueKey":"manual_trust_level.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"manual_trust_level.oneOf.1","typeLabel":"null"}],"uniqueKey":"manual_trust_level","typeLabel":"number | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"manual_trust_level":2,"metadata":{"identity_verified":true}},"examples":{"Example":{"title":"Example","value":{"manual_trust_level":2,"metadata":{"identity_verified":true}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"0d68989b-21ac-443f-80c6-74df47fb67d7":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Author ID in Moderation API","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"first_seen":{"type":"number","description":"Timestamp when author first appeared","isRequired":true,"uniqueKey":"first_seen","typeLabel":"number"},"last_seen":{"type":"number","description":"Timestamp of last activity","isRequired":true,"uniqueKey":"last_seen","typeLabel":"number"},"status":{"type":"string","enum":["enabled","suspended","blocked"],"description":"Current author status","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"trust_level":{"type":"object","properties":{"level":{"type":"number","description":"Author trust level (-1, 0, 1, 2, 3, or 4)","isRequired":true,"uniqueKey":"trust_level.level","typeLabel":"number"},"manual":{"type":"boolean","description":"True if the trust level was set manually by a moderator","isRequired":true,"uniqueKey":"trust_level.manual","typeLabel":"boolean"}},"required":["level","manual"],"additionalProperties":false,"isRequired":true,"uniqueKey":"trust_level","typeLabel":"object"},"block":{"oneOf":[{"type":"object","description":"Block or suspension details, if applicable. Null if the author is enabled.","properties":{"until":{"oneOf":[{"description":"The timestamp until which they are blocked if the author is suspended.","type":"number","uniqueKey":"block.oneOf.0.until.oneOf.0","typeLabel":"number"},{"description":"The timestamp until which they are blocked if the author is suspended.","type":"null","uniqueKey":"block.oneOf.0.until.oneOf.1","typeLabel":"null"}],"uniqueKey":"block.oneOf.0.until","typeLabel":"number | null"},"reason":{"oneOf":[{"description":"The moderators reason why the author was blocked or suspended.","type":"string","uniqueKey":"block.oneOf.0.reason.oneOf.0","typeLabel":"string"},{"description":"The moderators reason why the author was blocked or suspended.","type":"null","uniqueKey":"block.oneOf.0.reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"block.oneOf.0.reason","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"block.oneOf.0","typeLabel":"object"},{"type":"null","description":"Block or suspension details, if applicable. Null if the author is enabled.","isRequired":true,"uniqueKey":"block.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"block","typeLabel":"object | null"},"risk_evaluation":{"oneOf":[{"type":"object","description":"Risk assessment details, if available.","properties":{"risk_level":{"oneOf":[{"type":"number","description":"Calculated risk level based on more than 10 behavioral signals.","maximum":100,"minimum":0,"uniqueKey":"risk_evaluation.oneOf.0.risk_level.oneOf.0","typeLabel":"number"},{"type":"null","description":"Calculated risk level based on more than 10 behavioral signals.","uniqueKey":"risk_evaluation.oneOf.0.risk_level.oneOf.1","typeLabel":"null"}],"uniqueKey":"risk_evaluation.oneOf.0.risk_level","typeLabel":"number | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"risk_evaluation.oneOf.0","typeLabel":"object"},{"type":"null","description":"Risk assessment details, if available.","isRequired":true,"uniqueKey":"risk_evaluation.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"risk_evaluation","typeLabel":"object | null"},"metrics":{"type":"object","properties":{"total_content":{"type":"number","description":"Total pieces of content","isRequired":true,"uniqueKey":"metrics.total_content","typeLabel":"number"},"flagged_content":{"type":"number","description":"Number of flagged content pieces","isRequired":true,"uniqueKey":"metrics.flagged_content","typeLabel":"number"},"average_sentiment":{"oneOf":[{"description":"Average sentiment score of content (-1 to 1). Requires a sentiment model in your project.","type":"number","uniqueKey":"metrics.average_sentiment.oneOf.0","typeLabel":"number"},{"description":"Average sentiment score of content (-1 to 1). Requires a sentiment model in your project.","type":"null","uniqueKey":"metrics.average_sentiment.oneOf.1","typeLabel":"null"}],"uniqueKey":"metrics.average_sentiment","typeLabel":"number | null"}},"required":["total_content","flagged_content"],"additionalProperties":false,"isRequired":true,"uniqueKey":"metrics","typeLabel":"object"},"metadata":{"type":"object","properties":{"email_verified":{"oneOf":[{"description":"Whether the author's email is verified","type":"boolean","uniqueKey":"metadata.email_verified.oneOf.0","typeLabel":"boolean"},{"description":"Whether the author's email is verified","type":"null","uniqueKey":"metadata.email_verified.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata.email_verified","typeLabel":"boolean | null"},"phone_verified":{"oneOf":[{"description":"Whether the author's phone number is verified","type":"boolean","uniqueKey":"metadata.phone_verified.oneOf.0","typeLabel":"boolean"},{"description":"Whether the author's phone number is verified","type":"null","uniqueKey":"metadata.phone_verified.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata.phone_verified","typeLabel":"boolean | null"},"identity_verified":{"oneOf":[{"description":"Whether the author's identity is verified","type":"boolean","uniqueKey":"metadata.identity_verified.oneOf.0","typeLabel":"boolean"},{"description":"Whether the author's identity is verified","type":"null","uniqueKey":"metadata.identity_verified.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata.identity_verified","typeLabel":"boolean | null"},"is_paying_customer":{"oneOf":[{"description":"Whether the author is a paying customer","type":"boolean","uniqueKey":"metadata.is_paying_customer.oneOf.0","typeLabel":"boolean"},{"description":"Whether the author is a paying customer","type":"null","uniqueKey":"metadata.is_paying_customer.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata.is_paying_customer","typeLabel":"boolean | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"metadata.additionalProperties","typeLabel":"any"},"description":"Additional metadata provided by your system. We recommend including any relevant information that may assist in the moderation process.","isRequired":true,"uniqueKey":"metadata","typeLabel":"object"},"external_id":{"oneOf":[{"description":"The author's ID from your system","type":"string","uniqueKey":"external_id.oneOf.0","typeLabel":"string"},{"description":"The author's ID from your system","type":"null","uniqueKey":"external_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"external_id","typeLabel":"string | null"},"profile_picture":{"oneOf":[{"type":"string","description":"URL of the author's profile picture","format":"uri","uniqueKey":"profile_picture.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","description":"URL of the author's profile picture","uniqueKey":"profile_picture.oneOf.1","typeLabel":"null"}],"uniqueKey":"profile_picture","typeLabel":"string\u003curi> | null"},"external_link":{"oneOf":[{"type":"string","description":"URL of the author's external profile","format":"uri","uniqueKey":"external_link.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","description":"URL of the author's external profile","uniqueKey":"external_link.oneOf.1","typeLabel":"null"}],"uniqueKey":"external_link","typeLabel":"string\u003curi> | null"},"name":{"oneOf":[{"description":"Author name or identifier","type":"string","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"description":"Author name or identifier","type":"null","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","description":"Author email address","format":"email","pattern":"^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","uniqueKey":"email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","description":"Author email address","uniqueKey":"email.oneOf.1","typeLabel":"null"}],"uniqueKey":"email","typeLabel":"string\u003cemail> | null"},"company":{"oneOf":[{"description":"The author's company or organization","type":"string","uniqueKey":"company.oneOf.0","typeLabel":"string"},{"description":"The author's company or organization","type":"null","uniqueKey":"company.oneOf.1","typeLabel":"null"}],"uniqueKey":"company","typeLabel":"string | null"},"last_incident":{"oneOf":[{"description":"Timestamp of last incident","type":"number","uniqueKey":"last_incident.oneOf.0","typeLabel":"number"},{"description":"Timestamp of last incident","type":"null","uniqueKey":"last_incident.oneOf.1","typeLabel":"null"}],"uniqueKey":"last_incident","typeLabel":"number | null"}},"required":["id","first_seen","last_seen","status","trust_level","block","risk_evaluation","metrics","metadata"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","first_seen":123,"last_seen":123,"status":"enabled","trust_level":{"level":123,"manual":true},"block":{"until":123,"reason":"\u003cstring>"},"risk_evaluation":{"risk_level":50},"metrics":{"total_content":123,"flagged_content":123,"average_sentiment":123},"metadata":{"email_verified":true,"phone_verified":true,"identity_verified":true,"is_paying_customer":true},"external_id":"\u003cstring>","profile_picture":"\u003cstring>","external_link":"\u003cstring>","name":"\u003cstring>","email":"jsmith@example.com","company":"\u003cstring>","last_incident":123}}},"exampleType":"generated"}},"exampleType":"generated"},"5202925b-61d7-4cca-a437-b278b18c9750":{"description":"Invalid input data","content":{"application/json":{"schema":{"type":"object","description":"The request is malformed or a parameter is invalid.","properties":{"type":{"type":"string","const":"invalid_request_error","description":"Broad error category. Stable; safe to switch on.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","enum":["invalid_request","project_id_required","project_name_ambiguous","validation_failed"],"x-speakeasy-unknown-values":"allow","description":"Exactly what went wrong. Stable; safe to branch on. New codes may be added.\n\n- `invalid_request`: A parameter is invalid. `message` says which one.\n- `project_id_required`: An organization key called a project endpoint without naming the project in `Project-Id`, and the key reaches more than one project. `message` lists the projects it reaches.\n- `project_name_ambiguous`: The name in `Project-Id` fits more than one project the key reaches. `message` lists them; name the project by ID instead.\n- `validation_failed`: The request body does not match the schema. `issues` lists each problem with its `path`.","example":"invalid_request","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable explanation.","example":"Invalid input data","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","description":"Identifies this request. Include it when you contact support.","example":"h8fkz6kkzoa446ffve37atys","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"doc_url":{"type":"string","format":"uri","description":"Documentation for this `code`.","isRequired":true,"uniqueKey":"doc_url","typeLabel":"string\u003curi>"},"issues":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"What is wrong.","isRequired":true,"uniqueKey":"issues.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"issues.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"description":"Location of the invalid field in the request body.","uniqueKey":"issues.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","description":"Validation rule that failed.","uniqueKey":"issues.items.[INDEX].code","typeLabel":"string"}},"required":["message"],"uniqueKey":"issues.items.[INDEX]","typeLabel":"object"},"description":"Validation problems, when the request body is invalid.","uniqueKey":"issues","typeLabel":"object[]"}},"required":["type","code","message","request_id","doc_url"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"invalid_request_error","code":"invalid_request","message":"Invalid input data","request_id":"h8fkz6kkzoa446ffve37atys","doc_url":"\u003cstring>","issues":[{"message":"\u003cstring>","path":["\u003cstring>"],"code":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"31a0a708-e63d-4db1-91e5-2ecb32b699b8":{"description":"Authorization not provided","content":{"application/json":{"schema":{"type":"object","description":"The API key is missing, invalid or revoked.","properties":{"type":{"type":"string","const":"authentication_error","description":"Broad error category. Stable; safe to switch on.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","enum":["unauthorized","missing_api_key","malformed_api_key","invalid_api_key"],"x-speakeasy-unknown-values":"allow","description":"Exactly what went wrong. Stable; safe to branch on. New codes may be added.\n\n- `unauthorized`: Authentication failed.\n- `missing_api_key`: No API key in the `Authorization` header.\n- `malformed_api_key`: The `Authorization` header does not contain a valid key format.\n- `invalid_api_key`: The API key does not exist or was revoked.","example":"unauthorized","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable explanation.","example":"Authorization not provided","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","description":"Identifies this request. Include it when you contact support.","example":"h8fkz6kkzoa446ffve37atys","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"doc_url":{"type":"string","format":"uri","description":"Documentation for this `code`.","isRequired":true,"uniqueKey":"doc_url","typeLabel":"string\u003curi>"},"issues":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"What is wrong.","isRequired":true,"uniqueKey":"issues.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"issues.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"description":"Location of the invalid field in the request body.","uniqueKey":"issues.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","description":"Validation rule that failed.","uniqueKey":"issues.items.[INDEX].code","typeLabel":"string"}},"required":["message"],"uniqueKey":"issues.items.[INDEX]","typeLabel":"object"},"description":"Validation problems, when the request body is invalid.","uniqueKey":"issues","typeLabel":"object[]"}},"required":["type","code","message","request_id","doc_url"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"authentication_error","code":"unauthorized","message":"Authorization not provided","request_id":"h8fkz6kkzoa446ffve37atys","doc_url":"\u003cstring>","issues":[{"message":"\u003cstring>","path":["\u003cstring>"],"code":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"6072f23c-711b-4998-b6f3-e86f500a8016":{"description":"Insufficient access","content":{"application/json":{"schema":{"type":"object","description":"The API key cannot do this, or the plan limit for this resource is reached.","properties":{"type":{"type":"string","const":"permission_error","description":"Broad error category. Stable; safe to switch on.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","enum":["permission_denied","account_disabled","quota_exceeded","plan_feature_unavailable","plan_limit_exceeded","organization_key_required","missing_key_permission","project_not_reachable"],"x-speakeasy-unknown-values":"allow","description":"Exactly what went wrong. Stable; safe to branch on. New codes may be added.\n\n- `permission_denied`: The API key cannot perform this request.\n- `account_disabled`: The organization account is disabled.\n- `quota_exceeded`: The organization has used all API requests on its plan.\n- `plan_feature_unavailable`: The current plan does not include this feature.\n- `plan_limit_exceeded`: The request goes over a limit of the current plan.\n- `organization_key_required`: This endpoint needs an organization API key, but a project key was used.\n- `missing_key_permission`: The organization key does not have the permission this endpoint needs.\n- `project_not_reachable`: The organization key is limited to other projects.","example":"permission_denied","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable explanation.","example":"Insufficient access","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","description":"Identifies this request. Include it when you contact support.","example":"h8fkz6kkzoa446ffve37atys","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"doc_url":{"type":"string","format":"uri","description":"Documentation for this `code`.","isRequired":true,"uniqueKey":"doc_url","typeLabel":"string\u003curi>"},"issues":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"What is wrong.","isRequired":true,"uniqueKey":"issues.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"issues.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"description":"Location of the invalid field in the request body.","uniqueKey":"issues.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","description":"Validation rule that failed.","uniqueKey":"issues.items.[INDEX].code","typeLabel":"string"}},"required":["message"],"uniqueKey":"issues.items.[INDEX]","typeLabel":"object"},"description":"Validation problems, when the request body is invalid.","uniqueKey":"issues","typeLabel":"object[]"}},"required":["type","code","message","request_id","doc_url"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"permission_error","code":"permission_denied","message":"Insufficient access","request_id":"h8fkz6kkzoa446ffve37atys","doc_url":"\u003cstring>","issues":[{"message":"\u003cstring>","path":["\u003cstring>"],"code":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"d04df211-0cc3-4d66-89e7-de1f8c6548bc":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","description":"The resource does not exist or the key cannot see it.","properties":{"type":{"type":"string","const":"not_found_error","description":"Broad error category. Stable; safe to switch on.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","enum":["resource_not_found","action_not_found","author_not_found","queue_not_found","wordlist_not_found","webhook_not_found","project_not_found","channel_not_found"],"x-speakeasy-unknown-values":"allow","description":"Exactly what went wrong. Stable; safe to branch on. New codes may be added.\n\n- `resource_not_found`: The resource does not exist.\n- `action_not_found`: The action does not exist.\n- `author_not_found`: The author does not exist.\n- `queue_not_found`: The review queue does not exist.\n- `wordlist_not_found`: The wordlist does not exist.\n- `webhook_not_found`: The webhook does not exist.\n- `project_not_found`: The project does not exist.\n- `channel_not_found`: The channel does not exist.","example":"resource_not_found","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable explanation.","example":"Not found","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","description":"Identifies this request. Include it when you contact support.","example":"h8fkz6kkzoa446ffve37atys","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"doc_url":{"type":"string","format":"uri","description":"Documentation for this `code`.","isRequired":true,"uniqueKey":"doc_url","typeLabel":"string\u003curi>"},"issues":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"What is wrong.","isRequired":true,"uniqueKey":"issues.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"issues.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"description":"Location of the invalid field in the request body.","uniqueKey":"issues.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","description":"Validation rule that failed.","uniqueKey":"issues.items.[INDEX].code","typeLabel":"string"}},"required":["message"],"uniqueKey":"issues.items.[INDEX]","typeLabel":"object"},"description":"Validation problems, when the request body is invalid.","uniqueKey":"issues","typeLabel":"object[]"}},"required":["type","code","message","request_id","doc_url"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"not_found_error","code":"resource_not_found","message":"Not found","request_id":"h8fkz6kkzoa446ffve37atys","doc_url":"\u003cstring>","issues":[{"message":"\u003cstring>","path":["\u003cstring>"],"code":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"7c445409-eb17-4277-97d6-5b1366c6d9a4":{"description":"Too many requests. Retry after the number of seconds in the `Retry-After` header.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","description":"Too many requests. Retry after the number of seconds in the `Retry-After` header.","properties":{"type":{"type":"string","const":"rate_limit_error","description":"Broad error category. Stable; safe to switch on.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","enum":["rate_limit_exceeded"],"x-speakeasy-unknown-values":"allow","description":"Exactly what went wrong. Stable; safe to branch on. New codes may be added.\n\n- `rate_limit_exceeded`: Too many requests. Wait for the `Retry-After` seconds.","example":"rate_limit_exceeded","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable explanation.","example":"Rate limit exceeded","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","description":"Identifies this request. Include it when you contact support.","example":"h8fkz6kkzoa446ffve37atys","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"doc_url":{"type":"string","format":"uri","description":"Documentation for this `code`.","isRequired":true,"uniqueKey":"doc_url","typeLabel":"string\u003curi>"},"issues":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"What is wrong.","isRequired":true,"uniqueKey":"issues.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"issues.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"description":"Location of the invalid field in the request body.","uniqueKey":"issues.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","description":"Validation rule that failed.","uniqueKey":"issues.items.[INDEX].code","typeLabel":"string"}},"required":["message"],"uniqueKey":"issues.items.[INDEX]","typeLabel":"object"},"description":"Validation problems, when the request body is invalid.","uniqueKey":"issues","typeLabel":"object[]"}},"required":["type","code","message","request_id","doc_url"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"rate_limit_error","code":"rate_limit_exceeded","message":"Rate limit exceeded","request_id":"h8fkz6kkzoa446ffve37atys","doc_url":"\u003cstring>","issues":[{"message":"\u003cstring>","path":["\u003cstring>"],"code":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"ddaac6b9-fb3b-4cc3-9a7d-379ecd43bf3f":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","description":"Something went wrong on our side. Retry with backoff.","properties":{"type":{"type":"string","const":"api_error","description":"Broad error category. Stable; safe to switch on.","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","enum":["internal_error"],"x-speakeasy-unknown-values":"allow","description":"Exactly what went wrong. Stable; safe to branch on. New codes may be added.\n\n- `internal_error`: Something went wrong on our side. Retry with backoff.","example":"internal_error","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable explanation.","example":"Internal server error","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","description":"Identifies this request. Include it when you contact support.","example":"h8fkz6kkzoa446ffve37atys","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"doc_url":{"type":"string","format":"uri","description":"Documentation for this `code`.","isRequired":true,"uniqueKey":"doc_url","typeLabel":"string\u003curi>"},"issues":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"What is wrong.","isRequired":true,"uniqueKey":"issues.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"issues.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"issues.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"description":"Location of the invalid field in the request body.","uniqueKey":"issues.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","description":"Validation rule that failed.","uniqueKey":"issues.items.[INDEX].code","typeLabel":"string"}},"required":["message"],"uniqueKey":"issues.items.[INDEX]","typeLabel":"object"},"description":"Validation problems, when the request body is invalid.","uniqueKey":"issues","typeLabel":"object[]"}},"required":["type","code","message","request_id","doc_url"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"api_error","code":"internal_error","message":"Internal server error","request_id":"h8fkz6kkzoa446ffve37atys","doc_url":"\u003cstring>","issues":[{"message":"\u003cstring>","path":["\u003cstring>"],"code":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"15f880c4-a701-4070-a9df-9e0cef61d427":{"Authorization":{"type":"http","scheme":"bearer","x-speakeasy-name-override":"secretKey","scopes":[],"schemeName":"Authorization"}}},"servers":{"85b0d031-5914-47db-bdfe-ceb306f626fb":{"url":"https://api.moderationapi.com/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","x-speakeasy-name-override":"secretKey","scopes":[],"schemeName":"Authorization"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"https://api.moderationapi.com/v1/openapi.json"},"subdomain":"moderationapi","siteName":"Moderation API","title":"Update author details - Moderation API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-28T13:57:46.434Z","originalFileLocation":"api-reference/author/update-author-details.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update the details of a specific author\">\u003cmeta data-mint-head name=\"application-name\" content=\"Moderation API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update author details - Moderation API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update the details of a specific author\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Moderation API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.moderationapi.com/api-reference/author/update-author-details\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://moderationapi.mintlify.app/_mintlify/api/og/v2?division=Authors\u0026amp;title=Update+author+details\u0026amp;description=Update+the+details+of+a+specific+author\u0026amp;theme=74a66089d28e4556cd5bc9ac\u0026amp;signature=3831d99dd955ac194569af928afa0f4ee6f0c55159d53d62db19cd76e5267305\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update author details - Moderation API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update the details of a specific author\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://moderationapi.mintlify.app/_mintlify/api/og/v2?division=Authors\u0026amp;title=Update+author+details\u0026amp;description=Update+the+details+of+a+specific+author\u0026amp;theme=74a66089d28e4556cd5bc9ac\u0026amp;signature=3831d99dd955ac194569af928afa0f4ee6f0c55159d53d62db19cd76e5267305\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/moderationapi/btfa7NMdSPkX5ZGP/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Moderation API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2563EB\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.moderationapi.com/api-reference/author/update-author-details\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/author/update-author-details.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.moderationapi.com/#organization\",\"name\":\"Moderation API\",\"url\":\"https://docs.moderationapi.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/moderationapi/rWTs3Lpls7ie5CqF/logo/dark.svg?fit=max\u0026auto=format\u0026n=rWTs3Lpls7ie5CqF\u0026q=85\u0026s=ec821de8afaf14ccd604f3ee5778ffde\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.moderationapi.com#website\",\"name\":\"Moderation API\",\"url\":\"https://docs.moderationapi.com\",\"publisher\":{\"@id\":\"https://docs.moderationapi.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.moderationapi.com/api-reference/author/update-author-details#webpage\",\"url\":\"https://docs.moderationapi.com/api-reference/author/update-author-details\",\"name\":\"Update author details\",\"description\":\"Update the details of a specific author\",\"dateModified\":\"2026-08-28T13:57:46.434Z\",\"isPartOf\":{\"@id\":\"https://docs.moderationapi.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.moderationapi.com/api-reference/author/update-author-details#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.moderationapi.com/api-reference/author/update-author-details#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Authors\",\"item\":\"https://docs.moderationapi.com/api-reference/author/list-authors\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update author details\",\"item\":\"https://docs.moderationapi.com/api-reference/author/update-author-details\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.moderationapi.com/api-reference/author/update-author-details#apireference\",\"headline\":\"Update author details\",\"name\":\"Update author details\",\"description\":\"Update the details of a specific author\",\"url\":\"https://docs.moderationapi.com/api-reference/author/update-author-details\",\"mainEntityOfPage\":{\"@id\":\"https://docs.moderationapi.com/api-reference/author/update-author-details#webpage\"},\"dateModified\":\"2026-08-28T13:57:46.434Z\",\"publisher\":{\"@id\":\"https://docs.moderationapi.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.moderationapi.com#website\"}}]}\u003c/script>","siteName":"Moderation API","nav":{"global":null,"dropdowns":[{"dropdown":"Documentation","icon":{"style":"solid","name":"book"},"groups":[{"group":"Documentation","pages":[{"title":"Get started","icon":"book-open","href":"/get-started/introduction"},{"title":"Concepts","icon":"cubes","href":"/get-started/concepts"},{"group":"Quickstart","icon":"rocket","pages":[{"title":"Content moderation with TypeScript","sidebarTitle":"TypeScript","icon":"node-js","href":"/quickstart/typescript"},{"title":"Content moderation with Ruby","sidebarTitle":"Ruby","icon":"gem","href":"/quickstart/ruby"},{"title":"Content moderation with Python","sidebarTitle":"Python","icon":"python","href":"/quickstart/python"},{"title":"Content moderation with PHP","sidebarTitle":"PHP","icon":"php","href":"/quickstart/php"},{"title":"Content moderation with the CLI","sidebarTitle":"CLI","icon":"terminal","href":"/quickstart/cli"},{"title":"Content moderation with Go","sidebarTitle":"Go","icon":"golang","href":"/quickstart/go"},{"title":"Content moderation with Java","sidebarTitle":"Java","icon":"java","href":"/quickstart/java"},{"title":"Content moderation with .NET","sidebarTitle":".NET","icon":"microsoft","href":"/quickstart/dotnet"}]}]},{"group":"Learn","pages":[{"group":"Automate Moderation","icon":"shield","pages":[{"title":"Automated content moderation","sidebarTitle":"Overview","href":"/content-moderation/overview"},{"group":"Analyzing content","pages":[{"title":"Submitting content to Moderation API","sidebarTitle":"Submit content","href":"/content-moderation/submit-content"},{"title":"Understand and act on API responses","sidebarTitle":"Understanding API responses","href":"/content-moderation/acting-on-responses"},{"title":"Real-time voice","href":"/content-moderation/real-time-voice"}]},{"title":"Content rules","sidebarTitle":"Content rules","href":"/content-moderation/rules"},{"title":"Thresholds","sidebarTitle":"Thresholds","href":"/content-moderation/thresholds"},{"title":"Optimizing accuracy","sidebarTitle":"Optimizing accuracy","href":"/content-moderation/optimizing-accuracy"}]},{"group":"Policies","icon":"scale-balanced","pages":[{"title":"Policies","sidebarTitle":"Overview","href":"/policies/overview"},{"title":"Guidelines","href":"/policies/guidelines"},{"title":"Wordlists","href":"/policies/wordlists"},{"title":"Privacy","href":"/policies/privacy"},{"title":"Toxicity \u0026 Hate","href":"/policies/toxicity"},{"title":"NSFW","href":"/policies/nsfw"},{"title":"Illicit \u0026 Regulated","href":"/policies/illicit"},{"title":"Spam \u0026 Security","href":"/policies/spam"},{"title":"URL Risk","href":"/policies/url-risk"},{"title":"Unicode spoofing detection","sidebarTitle":"Unicode spoofing","href":"/policies/unicode-spoofing"},{"title":"Topics","href":"/policies/topics"}]},{"group":"Managing Users","icon":"user","pages":[{"title":"User moderation","sidebarTitle":"Overview","href":"/users/overview"},{"title":"Trust Levels","href":"/users/trust-levels"},{"title":"Updating authors","sidebarTitle":"Updating authors","href":"/users/updating-authors"},{"title":"Custom data","sidebarTitle":"Custom data","href":"/users/custom-data"},{"title":"Fraud Detection","href":"/users/fraud-detection"}]},{"group":"Review","icon":"clipboard-list","pages":[{"title":"Review","sidebarTitle":"Overview","href":"/review/overview"},{"title":"Building content views","sidebarTitle":"Building views","href":"/review/content-views"},{"title":"View settings","sidebarTitle":"View settings","href":"/review/view-settings"},{"title":"Reviewing content","sidebarTitle":"Reviewing content","href":"/review/reviewing-content"},{"group":"Recipes","pages":[{"title":"Content view recipes","sidebarTitle":"Overview","href":"/review/recipes/overview"},{"title":"Escalations","sidebarTitle":"Escalations","href":"/review/recipes/escalations"},{"title":"Language views","sidebarTitle":"Language views","href":"/review/recipes/language-views"},{"title":"Channel views","sidebarTitle":"Channel views","href":"/review/recipes/channel-views"},{"title":"Content type views","sidebarTitle":"Content type views","href":"/review/recipes/content-type-views"},{"title":"Media review","sidebarTitle":"Media review","href":"/review/recipes/media-review"},{"title":"Severity triage","sidebarTitle":"Severity triage","href":"/review/recipes/severity-triage"},{"title":"New account review","sidebarTitle":"New account review","href":"/review/recipes/new-accounts"},{"title":"Spam waves","sidebarTitle":"Spam waves","href":"/review/recipes/spam-waves"},{"title":"Shadow flag QA","sidebarTitle":"Shadow flag QA","href":"/review/recipes/shadow-flag-qa"},{"title":"Wordlist monitoring","sidebarTitle":"Wordlist monitoring","href":"/review/recipes/wordlist-monitoring"},{"title":"Unflagged sampling","sidebarTitle":"Unflagged sampling","href":"/review/recipes/unflagged-sampling"}]},{"title":"Getting content into review","sidebarTitle":"Submitting content","href":"/review/submit-content"},{"title":"Reviewer wellness","sidebarTitle":"Reviewer wellness","href":"/review/wellness"},{"title":"Translating queue items","sidebarTitle":"Translation","href":"/review/translation"},{"title":"Integrating with your application","sidebarTitle":"Integrations","href":"/review/integrations"},{"title":"Inviting moderators","sidebarTitle":"Inviting moderators","href":"/review/inviting-moderators"}]},{"group":"Casebook","icon":"gavel","pages":[{"title":"Casebook","sidebarTitle":"Overview","href":"/casebook/overview"},{"title":"How the casebook rules","sidebarTitle":"How it rules","href":"/casebook/rulings"},{"title":"Casebook topics","sidebarTitle":"Topics","href":"/casebook/topics"},{"title":"Managing your casebook","sidebarTitle":"Managing cases","href":"/casebook/managing"}]},{"group":"Actions","icon":"bolt","pages":[{"title":"Actions","sidebarTitle":"Overview","href":"/actions/overview"},{"title":"Content actions","sidebarTitle":"Content actions","href":"/actions/content-actions"},{"title":"Author actions","sidebarTitle":"Author actions","href":"/actions/author-actions"},{"title":"Webhooks","sidebarTitle":"Webhooks","href":"/actions/webhooks"}]},{"group":"Model Studio","icon":"cube","pages":[{"title":"Model Studio","sidebarTitle":"Overview","href":"/model-studio/overview"},{"group":"Custom Models","pages":[{"title":"Custom models","sidebarTitle":"Overview","href":"/custom-models/overview"},{"title":"Using a custom model","sidebarTitle":"Using a model","href":"/custom-models/using"},{"title":"Adaptive model optimization","sidebarTitle":"Adaptive model optimization","href":"/custom-models/adaptive-model-optimization"}]}]},{"group":"Manage account","icon":"receipt","pages":[{"title":"Quota usage","href":"/account/quota-usage"},{"title":"Manage plan","href":"/account/upgrading"},{"title":"Manage team","href":"/account/adding-team-members"}]}]},{"group":"Migrations","pages":[{"title":"Migrate from Perspective API","sidebarTitle":"Perspective API","href":"/guides/migrate-from-perspective-api"}]},{"group":"Resources","pages":[{"title":"SDKs","icon":"code","href":"/resources/sdks"},{"title":"Integrations","icon":"cube","href":"/resources/integrations"}]}]},{"dropdown":"API References","icon":{"style":"solid","name":"code"},"groups":[{"group":"API","icon":"terminal","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Management API","href":"/api-reference/management-api"},{"title":"Errors","href":"/api-reference/errors"},{"title":"Rate limits","href":"/api-reference/rate-limits"},{"title":"Pagination","href":"/api-reference/pagination"}]},{"group":"Account","pages":[{"openapi":"get /account","title":"Get account details","href":"/api-reference/account/get-account-details"}]},{"group":"Moderate","pages":[{"openapi":"POST /moderate","sidebarTitle":"Submit content","title":"Submit content","href":"/api-reference/moderate/submit-content"},{"openapi":"GET /stream","sidebarTitle":"Voice stream","title":"Real-time voice stream","href":"/api-reference/moderate/voice-stream"}]},{"group":"Authors","pages":[{"openapi":"get /authors","title":"List authors (Enterprise)","sidebarTitle":"List authors","href":"/api-reference/author/list-authors"},{"openapi":"post /authors","title":"Create a new author","href":"/api-reference/author/create-a-new-author"},{"openapi":"get /authors/{id}","title":"Get author details","description":"Get detailed information about a specific author including historical data and analysis","href":"/api-reference/author/get-author-details"},{"openapi":"put /authors/{id}","title":"Update author details","href":"/api-reference/author/update-author-details"},{"openapi":"delete /authors/{id}","title":"Delete an author","description":"Delete a specific author. This resets the author: status, blocks, trust level, metrics and action history are removed. The author is created again with a clean record the next time content is moderated for the same ID.","href":"/api-reference/author/delete-an-author"}]},{"group":"Actions","pages":[{"openapi":"post /actions","title":"Create an action","href":"/api-reference/actions/create-an-action"},{"openapi":"get /actions/{id}","title":"Get an action","href":"/api-reference/actions/get-an-action"},{"openapi":"put /actions/{id}","title":"Update an action","href":"/api-reference/actions/update-an-action"},{"openapi":"delete /actions/{id}","title":"Delete an action","href":"/api-reference/actions/delete-an-action"},{"openapi":"post /actions/execute","title":"Execute moderation action","href":"/api-reference/actions/execute-moderation-action"},{"openapi":"get /actions","title":"List moderation actions","href":"/api-reference/actions/list-moderation-actions"}]},{"group":"Wordlist (Enterprise)","pages":[{"openapi":"get /wordlist","title":"List wordlists","href":"/api-reference/wordlist/list-wordlists"},{"openapi":"get /wordlist/{id}","title":"Get wordlist","href":"/api-reference/wordlist/get-wordlist"},{"openapi":"put /wordlist/{id}","title":"Update wordlist","href":"/api-reference/wordlist/update-wordlist"},{"openapi":"get /wordlist/{id}/embedding-status","title":"Get embedding status","href":"/api-reference/wordlist/get-embedding-status"},{"openapi":"post /wordlist/{id}/words","title":"Add words to wordlist","href":"/api-reference/wordlist/add-words-to-wordlist"},{"openapi":"delete /wordlist/{id}/words","title":"Remove words from wordlist","href":"/api-reference/wordlist/remove-words-from-wordlist"}]},{"group":"Review Queue (Enterprise)","pages":[{"openapi":"get /queue/{id}","title":"Get a queue","href":"/api-reference/review-queues/get-a-queue"},{"openapi":"get /queue/{id}/stats","title":"Get queue statistics","href":"/api-reference/review-queues/get-queue-statistics"},{"openapi":"get /queue/{id}/items","title":"Get queue items","href":"/api-reference/review-queues/get-queue-items"},{"openapi":"post /queue/{id}/items/{itemId}/resolve","title":"Resolve a queue item","href":"/api-reference/review-queues/resolve-a-queue-item"},{"openapi":"post /queue/{id}/items/{itemId}/unresolve","title":"Unresolve a queue item","href":"/api-reference/review-queues/unresolve-a-queue-item"}]},{"group":"Projects (Enterprise)","pages":[{"openapi":"get /projects","title":"List projects","href":"/api-reference/projects/list-projects"},{"openapi":"post /projects","title":"Create a project","href":"/api-reference/projects/create-a-project"},{"openapi":"get /projects/{id}","title":"Get a project","href":"/api-reference/projects/get-a-project"},{"openapi":"put /projects/{id}","title":"Update a project","href":"/api-reference/projects/update-a-project"},{"openapi":"delete /projects/{id}","title":"Delete a project","href":"/api-reference/projects/delete-a-project"},{"openapi":"post /projects/{id}/duplicate","title":"Duplicate a project","href":"/api-reference/projects/duplicate-a-project"},{"openapi":"post /projects/{id}/api-keys","title":"Create a project API key","href":"/api-reference/projects/create-a-project-api-key"}]},{"group":"Channels (Enterprise)","pages":[{"openapi":"get /projects/{projectId}/channels","title":"List channels","href":"/api-reference/channels/list-channels"},{"openapi":"post /projects/{projectId}/channels","title":"Create a channel","href":"/api-reference/channels/create-a-channel"},{"openapi":"get /channels/{id}","title":"Get a channel","href":"/api-reference/channels/get-a-channel"},{"openapi":"put /channels/{id}","title":"Update a channel","href":"/api-reference/channels/update-a-channel"},{"openapi":"delete /channels/{id}","title":"Delete a channel","href":"/api-reference/channels/delete-a-channel"},{"openapi":"post /channels/{id}/duplicate","title":"Duplicate a channel","href":"/api-reference/channels/duplicate-a-channel"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"List webhooks","href":"/api-reference/webhooks/list-webhooks"},{"openapi":"post /webhooks","title":"Create a webhook","href":"/api-reference/webhooks/create-a-webhook"},{"openapi":"get /webhooks/{id}","title":"Get a webhook","href":"/api-reference/webhooks/get-a-webhook"},{"openapi":"put /webhooks/{id}","title":"Update a webhook","href":"/api-reference/webhooks/update-a-webhook"},{"openapi":"delete /webhooks/{id}","title":"Delete a webhook","href":"/api-reference/webhooks/delete-a-webhook"},{"openapi":"get /webhook-secret","title":"Get the webhook signing secret","href":"/api-reference/webhooks/get-signing-secret"},{"group":"Events","pages":[{"title":"Author blocked","openapi":"https://api.moderationapi.com/v1/openapi.json webhook author.blocked","href":"/api-reference/webhooks/author-blocked"},{"title":"Author unblocked","openapi":"https://api.moderationapi.com/v1/openapi.json webhook author.unblocked","href":"/api-reference/webhooks/author-unblocked"},{"title":"Author suspended","openapi":"https://api.moderationapi.com/v1/openapi.json webhook author.suspended","href":"/api-reference/webhooks/author-suspended"},{"title":"Author updated","openapi":"https://api.moderationapi.com/v1/openapi.json webhook author.updated","href":"/api-reference/webhooks/author-updated"},{"title":"Author trust level changed","openapi":"https://api.moderationapi.com/v1/openapi.json webhook author.trust_level_changed","href":"/api-reference/webhooks/author-trust-level-changed"},{"title":"Author action","openapi":"https://api.moderationapi.com/v1/openapi.json webhook author.action","href":"/api-reference/webhooks/author-action"},{"title":"Queue item resolved","openapi":"https://api.moderationapi.com/v1/openapi.json webhook queue_item.resolved","href":"/api-reference/webhooks/queue-item-resolved"},{"title":"Queue item action","openapi":"https://api.moderationapi.com/v1/openapi.json webhook queue_item.action","href":"/api-reference/webhooks/queue-item-action"},{"title":"Queue item rejected","openapi":"https://api.moderationapi.com/v1/openapi.json webhook queue_item.rejected","href":"/api-reference/webhooks/queue-item-rejected"},{"title":"Queue item allowed","openapi":"https://api.moderationapi.com/v1/openapi.json webhook queue_item.allowed","href":"/api-reference/webhooks/queue-item-allowed"}]}]}]},{"dropdown":"Changelog","icon":"list","href":"https://product.moderationapi.com/changelog"},{"dropdown":"Email support","icon":{"style":"solid","name":"envelope"},"href":"mailto:support@moderationapi.com"}]},"title":"Update author details - Moderation API","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}